import numpy as np


class Measure:
    def __init__(self, points, alphas):
        self.points = map(np.array, points)
        self.alphas = alphas

    def __iter__(self):
        return zip(self.points, self.alphas)
